For the complete documentation index, see llms.txt. This page is also available as Markdown.

Secret Keys

Get Secret Keys

get

Gets all secret keys for the project

Responses
200

OK

application/json
alternateSecretKeysstring[]Optional

AlternateSecretKeys are additional secret keys that can be used for an account.

defaultSecretKeystringOptional

DefaultSecretKey is the default secret key for the account.

namesstring[]Optional

Names are the names of the secret keys that can be used for an account. index 0 is the default secret key, index 1+ are alternate secret key names

get
/secret-keys

Add Secret Key

post

Adds a new secret key to the project

Responses
200

OK

application/json
secretKeystringOptional

SecretKey is the secret key that was added.

post
/secret-keys

Delete Secret Key

delete

Deletes a secret key from the project

Path parameters
keystringRequired

the key to delete

Responses
200

OK

application/json
alternateSecretKeysstring[]Optional

AlternateSecretKeys are additional secret keys that can be used for an account.

defaultSecretKeystringOptional

DefaultSecretKey is the default secret key for the account.

namesstring[]Optional

Names are the names of the secret keys that can be used for an account. index 0 is the default secret key, index 1+ are alternate secret key names

delete
/secret-keys/{key}

Set Default Secret Key

post
Path parameters
keystringRequired

the secret key to set as default

Responses
post
/secret-keys/{key}/default

No content

Rename Secret Key

post

Sets or updates the name on an existing secret key

Path parameters
keystringRequired

the secret key to rename

Body
namestringOptional

Name is the new name to store with the secret key. An empty name clears it.

Responses
post
/secret-keys/{key}/name

No content

Last updated

Was this helpful?